diff --git a/basice2e/clients.goldoutput/client130.txt b/basice2e/clients.goldoutput/client130.txt
new file mode 100644
index 0000000000000000000000000000000000000000..2451ea32b75ee4cb5720a8cb24b63f8387ff615a
--- /dev/null
+++ b/basice2e/clients.goldoutput/client130.txt
@@ -0,0 +1 @@
+New broadcast channel generated
diff --git a/basice2e/clients.goldoutput/client131.txt b/basice2e/clients.goldoutput/client131.txt
new file mode 100644
index 0000000000000000000000000000000000000000..5222fe556d6411fa3ee358f837ce5598ae4f9ae6
--- /dev/null
+++ b/basice2e/clients.goldoutput/client131.txt
@@ -0,0 +1,4 @@
+Asymmetric broadcast message 2/4 received: Hello to asymmetric channel from channel client 123!
+Asymmetric broadcast message 4/4 received: Hello to asymmetric channel from channel client 124!
+Symmetric broadcast message 1/4 received: Hello to symmetric channel from channel client 124!
+Symmetric broadcast message 3/4 received: Hello to symmetric channel from channel client 122!
diff --git a/basice2e/clients.goldoutput/client132.txt b/basice2e/clients.goldoutput/client132.txt
new file mode 100644
index 0000000000000000000000000000000000000000..ddd8005707a24ea906526c859f7e7eabdf281be8
--- /dev/null
+++ b/basice2e/clients.goldoutput/client132.txt
@@ -0,0 +1 @@
+Sent symmetric broadcast message: Hello to symmetric channel from channel client 122!
diff --git a/basice2e/clients.goldoutput/client133.txt b/basice2e/clients.goldoutput/client133.txt
new file mode 100644
index 0000000000000000000000000000000000000000..3738bc28bdcc3dff044aafcc4204dbb5417763f5
--- /dev/null
+++ b/basice2e/clients.goldoutput/client133.txt
@@ -0,0 +1 @@
+Sent asymmetric broadcast message: Hello to asymmetric channel from channel client 123!
diff --git a/basice2e/clients.goldoutput/client134.txt b/basice2e/clients.goldoutput/client134.txt
new file mode 100644
index 0000000000000000000000000000000000000000..f2ec00699391c562e93194d3bb3bffb1b1b9d012
--- /dev/null
+++ b/basice2e/clients.goldoutput/client134.txt
@@ -0,0 +1 @@
+Sent symmetric broadcast message: Hello to symmetric channel from channel client 124!Sent asymmetric broadcast message: Hello to asymmetric channel from channel client 124!
diff --git a/basice2e/run.sh b/basice2e/run.sh
index 3627feef08edfc2972183250cc7bbf70d4347e89..93dc34d9ad08515770efee29d9aaeeef7331b6a8 100755
--- a/basice2e/run.sh
+++ b/basice2e/run.sh
@@ -1111,35 +1111,35 @@ echo "FILE TRANSFER FINISHED..."
 echo "TESTING BROADCAST CHANNELS..."
 
 # New broadcast channel...
-CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 1800 -l $CLIENTOUT/client120.log -s blob120 --new --name broadcast-test --description \"Integration test channel\" --chanPath results/integration-channel.json --keyPath results/integration-chan-key.pem --receiveCount 0"
-eval $CLIENTCMD >> $CLIENTOUT/client120.txt || true &
+CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 1800 -l $CLIENTOUT/client130.log -s blob130 --new --name broadcast-test --description \"Integration test channel\" --chanPath results/integration-channel.json --keyPath results/integration-chan-key.pem --receiveCount 0"
+eval $CLIENTCMD >> $CLIENTOUT/client130.txt || true &
 PIDVAL1=$!
 echo "$CLIENTCMD -- $PIDVAL1"
 wait $PIDVAL1
 
 # Start client to listen for messages on the channel
-CLIENTCMD="timeout 480s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 1800 -l $CLIENTOUT/client121.log -s blob121 --chanPath results/integration-channel.json --receiveCount 4"
-eval $CLIENTCMD >> $CLIENTOUT/client121.txt || true &
+CLIENTCMD="timeout 480s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 1800 -l $CLIENTOUT/client131.log -s blob131 --chanPath results/integration-channel.json --receiveCount 4"
+eval $CLIENTCMD >> $CLIENTOUT/client131.txt || true &
 PIDVAL1=$!
 echo "$CLIENTCMD -- $PIDVAL1"
 
 sleep 10
 
 # Send symmetric broadcast to channel
-CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client122.log -s blob122 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --symmetric \"Hello to symmetric channel from channel client 122!\""
-eval $CLIENTCMD >> $CLIENTOUT/client122.txt || true &
+CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client132.log -s blob132 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --symmetric \"Hello to symmetric channel from channel client 122!\""
+eval $CLIENTCMD >> $CLIENTOUT/client132.txt || true &
 PIDVAL2=$!
 echo "$CLIENTCMD -- $PIDVAL2"
 
 # Send asymmetric broadcast to channel
-CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client123.log -s blob123 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --keyPath results/integration-chan-key.pem --asymmetric \"Hello to asymmetric channel from channel client 123!\""
-eval $CLIENTCMD >> $CLIENTOUT/client123.txt || true &
+CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client133.log -s blob133 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --keyPath results/integration-chan-key.pem --asymmetric \"Hello to asymmetric channel from channel client 123!\""
+eval $CLIENTCMD >> $CLIENTOUT/client133.txt || true &
 PIDVAL3=$!
 echo "$CLIENTCMD -- $PIDVAL3"
 
 # Send symmetric & asymmetric broadcasts to channel
-CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client124.log -s blob124 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --keyPath results/integration-chan-key.pem --asymmetric \"Hello to asymmetric channel from channel client 124!\" --symmetric \"Hello to symmetric channel from channel client 124!\""
-eval $CLIENTCMD >> $CLIENTOUT/client124.txt || true &
+CLIENTCMD="timeout 240s ../bin/client broadcast --password hello --ndf results/ndf.json --waitTimeout 360 -l $CLIENTOUT/client134.log -s blob134 --chanPath results/integration-channel.json --receiveCount 0 --sendDelay 5000 --keyPath results/integration-chan-key.pem --asymmetric \"Hello to asymmetric channel from channel client 124!\" --symmetric \"Hello to symmetric channel from channel client 124!\""
+eval $CLIENTCMD >> $CLIENTOUT/client134.txt || true &
 PIDVAL4=$!
 echo "$CLIENTCMD -- $PIDVAL4"